package com.sun.org.apache.bcel.internal.classfile;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.DataInput;

public class RuntimeInvisibleAnnotations extends Annotations
{
    public RuntimeInvisibleAnnotations(int name_index, int length, DataInput input, ConstantPool constant_pool) throws IOException {
        super((byte)13, name_index, length, input, constant_pool, false);
    }
    
    @Override
    public Attribute copy(ConstantPool constant_pool) {
        return (Attribute)this.clone();
    }
    
    @Override
    public final void dump(DataOutputStream dos) throws IOException {
        super.dump(dos);
        this.writeAnnotations(dos);
    }
}
